
## Elimination
execute at @e[type=marker,tag=block_party_eliminate] run tag @a[tag=block_party,dx=20,dy=-2,dz=-20,gamemode=adventure,tag=!winner] add tempEliminated
execute at @e[type=marker,tag=block_party_eliminate] run tag @a[tag=block_party,dx=-20,dy=-2,dz=20,gamemode=adventure,tag=!winner] add tempEliminated
execute at @e[type=marker,tag=block_party_eliminate] run tag @a[tag=block_party,dx=20,dy=-2,dz=20,gamemode=adventure,tag=!winner] add tempEliminated
execute at @e[type=marker,tag=block_party_eliminate] run tag @a[tag=block_party,dx=-20,dy=-2,dz=-20,gamemode=adventure,tag=!winner] add tempEliminated
execute if entity @a[tag=tempEliminated] run function mg:game/eliminate with storage block_party


## Timer
execute if score $BPRoundEnd timer matches -1 run scoreboard players add $BPRoundCd timer 1
execute if score $BPRoundCd timer matches 80.. run function mg:block_party/color_select

execute if score $BPRoundEnd timer matches 0.. if score $BPRoundEnd timer < $BPRoundEndTarget timer run scoreboard players add $BPRoundEnd timer 1
execute if score $BPRoundEnd timer >= $BPRoundEndTarget timer unless score $BPRoundCd timer matches 1.. run function mg:block_party/times_up


## Round Timer and Actionbar
execute if score $BPRoundEnd timer matches -1 run title @a[tag=!lobby] actionbar [{"text":"▌ ▌ ▌ ▌ ▌ ▌ ▌ ▌ ▌ ▌","color":"red","bold":true}]

execute if score $BPRoundEndTarget timer matches 88 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/88
execute if score $BPRoundEndTarget timer matches 80 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/80
execute if score $BPRoundEndTarget timer matches 72 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/72
execute if score $BPRoundEndTarget timer matches 64 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/64
execute if score $BPRoundEndTarget timer matches 56 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/56
execute if score $BPRoundEndTarget timer matches 48 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/48
execute if score $BPRoundEndTarget timer matches 40 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/40
execute if score $BPRoundEndTarget timer matches 32 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/32
execute if score $BPRoundEndTarget timer matches 24 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/24
execute if score $BPRoundEndTarget timer matches 16 at @n[type=marker,tag=block_party_eliminate] run function mg:block_party/round_timer/16


## Hotbar Set
execute as @a[tag=block_party] unless score $game timer matches 1.. unless data entity @s {Inventory:[{Slot:0b,components:{"minecraft:custom_data":{BPSlot:0b}}},{Slot:1b,components:{"minecraft:custom_data":{BPSlot:1b}}},{Slot:2b,components:{"minecraft:custom_data":{BPSlot:2b}}},{Slot:3b,components:{"minecraft:custom_data":{BPSlot:3b}}},{Slot:4b,components:{"minecraft:custom_data":{BPSlot:4b}}},{Slot:5b,components:{"minecraft:custom_data":{BPSlot:5b}}},{Slot:6b,components:{"minecraft:custom_data":{BPSlot:6b}}},{Slot:7b,components:{"minecraft:custom_data":{BPSlot:7b}}},{Slot:8b,components:{"minecraft:custom_data":{BPSlot:8b}}}]} run function mg:block_party/hotbar_set


## Player Count
scoreboard players set $block_party count 0
execute as @a[tag=block_party,gamemode=adventure,tag=!eliminated] run scoreboard players add $block_party count 1


## Win
execute if score $block_party count matches 1 as @p[tag=block_party,gamemode=adventure,tag=!winner] run function mg:block_party/victory
