
scoreboard players add @a[tag=inGame,scores={place=1}] single_win 1
$scoreboard players add @a[tag=inGame,scores={place=1}] $(tagName)_win 1

tag @a[tag=inGame,scores={place=1}] add winner
$tag @e[type=marker,tag=1,tag=$(tagName)] remove firstTick
## Placements
execute if data storage game playlist run function mg:game/essentials/is_playlist
#placement titles
title @a[tag=inGame,scores={place=1}] times 0 100 0
title @a[tag=inGame,scores={place=1}] title {"text": "Victory!","color": "gold","bold": true}
$title @a[tag=inGame,scores={place=1}] subtitle [{"text": "You won the","color": "white"},{"text": " $(name)!","color": "$(color)"}]
$execute as @a[tag=inGame,scores={place=2..}] run function mg:game/essentials/placement_title with storage $(tagName)
#dnf title
execute as @a[tag=inGame] unless score @s place matches 1.. unless score @s points matches 0.. run scoreboard players set @s points 0
execute as @a[tag=inGame] unless score @s place matches 1.. run title @s title {"text": "DNF!","color": "red","bold": true}
execute as @a[tag=inGame] unless score @s place matches 1.. run title @s subtitle {"text": "You did not finished the game in time!","color": "white","bold": false}
#sound effect
execute as @a[tag=inGame,scores={place=1}] at @s run playsound minecraft:ui.toast.challenge_complete master @s ~ ~ ~
#single game winner tellraw
$execute if data storage game single run tellraw @a[tag=!lobby] [{"text":"» ","bold":false,"color":"gray"},{"selector":"@a[tag=inGame,scores={place=1}]","bold":false,"color":"$(color)","separator":" & "},{"text":" won the game! ","color":"white"}]

effect give @a[tag=inGame] instant_health 1 50 true

$schedule function mg:$(tagName)/victory_firework 15t append
$schedule function mg:$(tagName)/victory_firework 45t append
$schedule function mg:$(tagName)/victory_firework 75t append

$schedule function mg:$(tagName)/reset 120t
