
execute if score $modded global matches 0 if entity @a run schedule function mg:select_mod 50t append

## First Login
execute if score $modded global matches 1 as @a[tag=!firstLogin] at @s run function mg:first_login


## Leave Game
execute as @a[scores={leaveGame=1..}] at @s run function mg:leave_game


## Mod Disappear
execute unless entity @a[tag=mod] if score $modExists global matches 1 run function mg:ui/click/cancel_game
execute unless entity @a[tag=mod] run scoreboard players set $modExists global 0
execute if entity @a[tag=mod] run scoreboard players set $modExists global 1


## UI System
execute as @a[tag=!inGame] at @s run function mg:ui/main


## Mains
execute if entity @a[tag=lobby] run function mg:lobby/main
execute if entity @a[tag=start_lobby] run function mg:start_lobby/main

execute if score $loaded global matches 1 run function mg:game/main_test with storage game


## Game Timer
execute if score $game timer matches 1.. run function mg:game/timer_storage with storage game


# 236 107 -895 Lobby
# 4514 66 -1064 Start Lobby

# 10 -14 97 Tnt Tag
# 35 24 716 Sumo
# 1314 128 170 Dig Down
# 839 136 -1999 Block Party
# 706 178 1354 Boat Race
# 3132 44 116 Tnt Drop
# 3213 65 -1070 Pig Race
# 700 110 -460 Arrow Wars


## Item Drop
execute as @e[type=item] if data entity @s Item.components."minecraft:custom_data".returnSlot run function mg:return_item_to_slot_storage
execute as @e[type=item] unless data entity @s Item.components."minecraft:custom_data".canDrop run kill @s


## Lobby Fall
execute as @a[x=236,y=60,z=-894,dx=100,dy=-2,dz=100,gamemode=adventure] at @s run function mg:lobby/fall
execute as @a[x=236,y=60,z=-894,dx=-100,dy=-2,dz=100,gamemode=adventure] at @s run function mg:lobby/fall
execute as @a[x=236,y=60,z=-894,dx=100,dy=-2,dz=-100,gamemode=adventure] at @s run function mg:lobby/fall
execute as @a[x=236,y=60,z=-894,dx=-100,dy=-2,dz=-100,gamemode=adventure] at @s run function mg:lobby/fall


## Broadcast
execute if score $broadcast global matches 1 if score $broadcast timer matches 0.. run scoreboard players add $broadcast timer 1
execute if score $broadcast timer matches 3600 run scoreboard players set $broadcast timer 0
execute if score $broadcast timer matches 1200 run tellraw @a[tag=!inGame] [{"bold":true,"color":"#FF0505","text":"M"},{"color":"#E82104","text":"I"},{"color":"#D23D04","text":"N"},{"color":"#BB5803","text":"E"},{"color":"#A47403","text":"P"},{"color":"#8E9002","text":"A"},{"color":"#77AC02","text":"R"},{"color":"#60C701","text":"T"},{"color":"#33FF00","text":"Y"},{"bold":false,"color":"gray","text":" » "},{"bold":false,"text":"Join our discord server to be informed about updates and events, also to play the map with the others including authors! ","color":"#dfdfdf"},{"clickEvent":{"action":"open_url","value":"https://discord.gg/wP3hPhBzwZ"},"color":"blue","text":"[DISCORD]"}]
execute if score $broadcast timer matches 2400 run tellraw @a[tag=!inGame] [{"bold":true,"color":"#00FF4F","text":"M"},{"color":"#00FF4F","text":"I"},{"color":"#00FF4F","text":"N"},{"color":"#00D96C","text":"E"},{"color":"#00B38A","text":"P"},{"color":"#008EA7","text":"A"},{"color":"#0068C4","text":"R"},{"color":"#0042E2","text":"T"},{"color":"#001CFF","text":"Y"},{"bold":false,"color":"gray","text":" » "},{"bold":false,"text":"If you like our map, don't forget to give us diamond and add us to your favorites on ","color":"#dfdfdf"},{"clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/project/mineparty-6333322/"},"color":"gold","text":"[PLANETMC]"}]

execute if score $broadcast timer matches 0 run tellraw @a[tag=!inGame] [{"bold":true,"color":"#F700FF","text":"M"},{"color":"#E11CE3","text":"I"},{"color":"#CB39C6","text":"N"},{"color":"#B655AA","text":"E"},{"color":"#A0718E","text":"P"},{"color":"#8A8E71","text":"A"},{"color":"#74AA55","text":"R"},{"color":"#5FC639","text":"T"},{"color":"#33FF00","text":"Y"},{"bold":false,"color":"gray","text":" » "},{"bold":false,"color":"#DFDFDF","text":"You can support us and unlock playlist feature by subscribing to our Patreon!"},{"clickEvent":{"action":"open_url","value":"https://patreon.com/Mineparty"},"color":"red","text":" [PATREON]"}]
