
## Tagging System
execute as @a[scores={tagged=1..}] at @s on attacker run function mg:tnt_tag/tagged


## TNT REPLACE
execute as @a[tag=tagger,predicate=!mg:tnt_head] run function mg:tnt_tag/tnt_replace
execute as @a[tag=tagger,predicate=!mg:tnt_hand] run function mg:tnt_tag/tnt_replace
execute as @a[tag=!tagger] run item replace entity @s armor.head with air
execute as @a[tag=!tagger] run item replace entity @s hotbar.8 with air
execute as @a[tag=tagger] at @s run particle smoke ~ ~2 ~ 0 1 0 0.1 0 force


## TAGGER EXPLODE TIMER

execute if entity @a[tag=tagger] if score $tntExplodeTick timer matches 0.. run scoreboard players add $tntExplodeTick timer 1
execute if score $tntExplodeTick timer matches 20 run scoreboard players remove $tntExplodeMin timer 1
execute if score $tntExplodeTick timer matches 20 run scoreboard players set $tntExplodeTick timer 0


## Hunger Prevent
effect give @a[tag=tnt_tag] saturation 1 0 true


## Actionbar
execute if score $tntExplodeMin timer matches 0.. run title @a[tag=!lobby] actionbar [{"text": "Explosion in ","color": "red"},{"score":{"name":"$tntExplodeMin","objective":"timer"},"color":"gold"},{"text": " seconds!","color": "red"}]


## Count & New Tagger
scoreboard players set $tnt_tag count 0
execute as @a[tag=tnt_tag,gamemode=adventure] run scoreboard players add $tnt_tag count 1


## Elimination
execute if score $tntExplodeMin timer matches ..0 run function mg:tnt_tag/boom
execute if entity @a[tag=tempEliminated] run function mg:game/eliminate with storage tnt_tag


## Win
execute if score $tnt_tag count matches 1 as @p[tag=tnt_tag,gamemode=adventure,tag=!winner] run function mg:tnt_tag/victory


## Powerups
#timer
execute if score $powerUp timer matches 0.. run scoreboard players remove $powerUp timer 1
execute if score $powerUp timer matches 0 as @e[type=marker,tag=tnt_tag,tag=!poweruped,limit=1,sort=random] at @s run function mg:tnt_tag/powerup
#stun
scoreboard players remove @a[scores={stunTimer=0..}] stunTimer 1
execute as @a[scores={stunTimer=0}] run effect clear @s slowness
execute as @a[scores={stunTimer=0}] run attribute @s generic.jump_strength base set 0.41999998688697815
#scaleDown
scoreboard players remove @a[scores={scaleDownTimer=0..}] scaleDownTimer 1
execute as @a[scores={scaleDownTimer=0}] run attribute @s generic.scale base set 1
#protect particle
execute as @a[tag=protect_powerup] run item replace entity @s armor.chest with minecraft:diamond_chestplate[enchantments={levels:{"minecraft:binding_curse":1},show_in_tooltip:false},enchantment_glint_override=false]
execute as @a[tag=!protect_powerup] run item replace entity @s armor.chest with air
#spin
execute as @e[type=item_display,tag=tnt_tag_powerup] at @s run tp @s ~ ~ ~ ~10 ~
#types
execute at @e[type=marker,tag=tnt_tag,tag=poweruped] if entity @e[type=item_display,distance=..1] as @p[distance=...8,gamemode=adventure] run function mg:tnt_tag/powerup_test

